events.listen('jei.information', function (event) {
  event.add('thermal:copper_ore', ['Copper Ore generates near the surface, at Y levels 35 to to roughly 100.', ' ', 'In the Mining Dimension this ore spawns only under Y:75, nothing above that.'])
  event.add('thermal:tin_ore', ['Tin Ore generates somewhat deep underground at Y levels 20 to 55.', ' ', 'In the Mining Dimension this ore spawns only under Y:55, nothing above that.'])
  event.add('thermal:lead_ore', ['Lead Ore generates slightly less deep underground than Silver Ore, at Y levels 10 to 35.', ' ', 'In the Mining Dimension this ore spawns only under Y:35, nothing above that.'])
  event.add('thermal:silver_ore', ['Silver Ore generates deep underground at Y levels 5 to 30.', ' ', 'In the Mining Dimension this ore spawns only under Y:30, nothing above that.'])
  event.add('thermal:nickel_ore', ['Nickel Ore generates near or on the surface, at Y levels 25 to roughly 100.', 'Also found rarely around Y level 5.', ' ', 'In the Mining Dimension this ore spawns only under Y:20, nothing above that.'])
  event.add('silents_mechanisms:platinum_ore', ['Platinum Ore generates at Y levels 5 - ~20.'])
  event.add('silents_mechanisms:zinc_ore', ['Zinc Ore generates at Y levels 20 to ~50.'])
  event.add('silents_mechanisms:bismuth_ore', ['Bismuth Ore generates at Y levels 16 to ~54.'])
  event.add('silents_mechanisms:bauxite_ore', ['Bauxite Ore (aluminum) generates at Y levels 15 to ~50.'])
  event.add('silents_mechanisms:uranium_ore', ['Uranium Ore generates at Y levels 0 to ~25.'])
  event.add('appliedenergistics2:quartz_ore', ['Certus Quartz Ore generates at Y levels 12 - ~74.'])
  event.add('appliedenergistics2:charged_quartz_ore', ['Charged Certus Quartz Ore generates at Y levels 12 - ~74.'])
  event.add('mekanism:osmium_ore', ['Osmium Ore is generally found in similar generation patterns and amounts as iron, but at a lower world height, mine at Y levels 12 to 36 for best results.'])
  event.add('mekanism:fluorite_ore', ['Fluorite Ore generates at Y levels 0 - ~32.'])
  event.add('minecraft:coal_ore', ['Coal Ore is a very common ore that can be found underground, in relatively large deposits, 17 at the most.'])
  event.add('minecraft:iron_ore', ['Iron Ore is most commonly found underground (at y<68) in small veins up to 9.'])
  event.add('minecraft:redstone_ore', ['Redstone Ore is a type of ore found at y<16, in veins up to 8.'])
  event.add('minecraft:gold_ore', ['Gold Ore can be found at y<32, and y<80 in small veins in the Badlands biome. Veins can be up to 9 blocks each.'])
  event.add('minecraft:lapis_ore', ['Lapis Lazuli Ore is a "rare" ore block that can be found at y<34, in veins of up to 7 blocks each. It is common in abandoned mineshaft.'])
  event.add('minecraft:diamond_ore', ['Diamond Ore is rare, but useful ore. It is commonly found in savannas, desert and taiga biomes and is only found very deep underground, alongside with redstone. (at y<16) and in sparse veins of up to 8 blocks each.'])
  event.add('minecraft:emerald_ore', ['Emerald Ore is the rarest ore to date in Minecraft, 30 times more so than diamond ore. It almost always spawns in mountain biomes and only in one-block veins at y<33.'])
  event.add('enigmaticlegacy:astral_dust', ['Astral Dust can be commonly found in chests generated within End Cities.'])
  event.add('enigmaticlegacy:etherium_ore', ['Etherium Ore can be relatively rarely found in chests generated within End Cities.'])
  event.add('minecraft:elytra', ['The elytra can be found in end cities in an item frame in the treasure room of the end ship.', 'A shulker guards the elytra and the ships two loot chests.'])
  event.add('enigmaticlegacy:angel_blessing', ['Angels Blessing can be found in chests generated within Village Temples, Jungle Temples and Desert Pyramids.'])
  event.add('minecraft:nether_star', ['The Nether Star can be obtained by defeating the wither, which is a boss mob.'])
  event.add('minecraft:dragon_breath', ['The dragons breath can be obtained by scooping up the ender dragons breath attack or dragon fireball clouds in an empty bottle.'])
  event.add('enigmaticlegacy:enigmatic_item', ['There are no known ways of obtaining the Heart of Creation....'])
  event.add('enigmaticlegacy:golem_heart', ['Heart of the Golem can be found in chests generated within Simple Dungeon, Abandoned Mineshaft, Village Armorer House, Stronghold, Desert Pyramids and Jungle Temples.'])
  event.add('enigmaticlegacy:ocean_stone'	, ['Will of the Ocean can be found in chests generated within Underwater Ruins, Shipwrecks and in Buried Treasures.'])
  event.add('enigmaticlegacy:magma_heart', ['Blazing Core can be found in chests generated within Nether Fortresses.'])
  event.add('enigmaticlegacy:eye_of_nebula', ['Eye of the Nebula can be found in chests generated within End Cities and, much more rarely, Strongholds.'])
  event.add('enigmaticlegacy:void_pearl', ['Pearl of the Void can be very rarely found in chests generated within End Cities.'])
  event.add('bigreactors:yellorite_ore', ['Yellorite Ore generates at Y levels 1 - ~45.', ' ', 'In the Mining Dimension this ore spawns only under Y:40, nothing above that.'])
  event.add('kubejs:lootbag_piece', ['A small piece of a Loot Bag.', ' ', '9x pieces can be used to create 1x Loot Bag.', ' ', 'The Loot Bag Pieces can only be acquired through Quest Rewards and in chests found randomly around the world.'])
  event.add('lootbagmod:lootbag', ['A Loot Bag.', ' ', 'Gives you loot when right-clicked in hand. (Items will drop on the ground.)', ' ', 'The Loot Bag can only be acquired through Quest Rewards.'])
  event.add('extcaves:rock_pebble_granite', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rock_pebble_diorite', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rock_pebble_andesite', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rock_pebble_lavastone', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rock_pebble_sedimentstone', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rock_pebble_stone', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_two_stone', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_two_sedimentstone', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_two_lavastone', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_two_andesite', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_two_diorite', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_two_granite', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_three_stone', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_three_sedimentstone', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_three_lavastone', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_three_andesite', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_three_diorite', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('extcaves:rockpile_three_diorite', ['The recipe conflicts when crafting Rock Piles or Pebbles are on purpose to give the player a choice on what to craft.', ' ', 'Remember that before reporting this as an issue!'])
  event.add('industrialforegoing:tinydryrubber', ['Tiny Dry Rubber is created in a Latex Processing Unit using 1000 mB of Water & 100 Latex + some FE.', ' ', 'It can be used to create Dry Rubber.'])
  event.add('kubejs:compressed_xpetrified_orb', ['Note that this item can not be used to gain experience upon right-click. It can only used in crafting recipes.'])
})